//
// Created by robin on 6/28/15.
//

#include <reader.h>

ScReader::ScReader(std::string name)
    : _name(name)
    , _card(nullptr)
    , _proto(nullptr)
{
}

const std::string ScReader::getName() const
{
    return _name;
}

LONG ScReader::getLastStaticResult()
{
    return _lastStaticResult;
}

LONG ScReader::getLastResult()
{
    return _lastResult;
}

std::string ScReader::getAtr()
{
    return getAttribute(SCARD_ATTR_ATR_STRING);
}

std::string ScReader::getResultString(const LONG& error)
{
    return pcsc_stringify_error(error);
}

std::string ScReader::getLastStaticResultString()
{
    return getResultString(_lastStaticResult);
}

std::string ScReader::getLastResultString()
{
    return getResultString(_lastResult);
}
